#ifdef VHDL_TESTBENCH
/*
 * $Id: Interfaces_testbench.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"
#include "Behavioural/include/Entity.h"

namespace morpheo              {
namespace behavioural          {

  void Interfaces::testbench (void)
  {
    log_printf(FUNC,Behavioural,"testbench","Begin");

    if (_list_interface->empty()== false)
      {
	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();

	while (i != _list_interface->end())
	  {
	    (*i)->testbench();
	    ++i;
	  }
      }

    log_printf(FUNC,Behavioural,"testbench","End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
